Subject: bug#57436: Running ./configure from `guix shell -D guix --pure` errors

From: Katherine Cox-Buday <[email-masked]>
Date: Fri, 26 Aug 2022 13:34:42 -0600

Thanks, Maxime!

Does the location of the `--pure` flag matter? I.e. I was running

`guix shell -D guix --pure` (suggested by the manual)

and you're suggesting

`guix shell --pure -D guix'

On Fri, Aug 26, 2022 at 1:02 PM Maxime Devos <[email-masked]> wrote:
>
> On 26-08-2022 19:32, Katherine Cox-Buday wrote:
>
> > It gives me this error: configure: error: C++ compiler 'g++' does not
> > support the C++11 standard
> >
> > I have to run `guix shell -D [email-masked]  --pure` to get
> > ./configure to work.
> >
> > Since `guix shell -D` includes the development packages for Guix,
> > maybe the package needs updating?
>
> Maybe ./configure somehow picks up an old g++ from outside the "guix
> shell" environment.
>
> To avoid this, you can do `guix shell --pure -D guix'.
>
> Don't forget to add --localstatedir=/var to ./configure, especially if
> you hack on the daemon -- otherwise if you start the modified daemon
> from your git checkout, the state will go out of sync.
>
> Greetings,
> Maxime
>